CentOS6 安装PHP7.3 报错 centos6 requires: libmcrypt.so.4()(64bit)

报错内容
centos6_x86_64_bbr 用yum安装PHP73始终有问题。
报错提示centos6 requires: libmcrypt.so.4()(64bit)

Package: php-cli-7.3.7-3.el7.remi.x86_64 (remi-php73)            
Requires: libargon2.so.0()(64bit)

解决办法
第一种办法

yum clean all # 注意这一句一定要
yum install epel-release
rpm -Uvh http://rpms.famillecollet.com/enterprise/remi-release-6.rpm
yum --enablerepo=remi-php73 install php

第二种办法
安装那个缺少的扩展,可以在网站 https://centos.pkgs.org/7/remi-x86_64/php73-php-cli-7.3.7-3.el7.remi.x86_64.rpm.html 找到

rpm -Uvh http://download-ib01.fedoraproject.org/pub/epel/7/x86_64/Packages/l/libargon2-20161029-3.el7.x86_64.rpm

扩展安装

yum --enablerepo=remi-php73 install php-xml \
 php-soap php-xmlrpc php-mbstring \
 php-json php-gd php-mcrypt

https://tecadmin.net/nstall-php7-on-centos6/

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
©️2022 CSDN 皮肤主题:大白 设计师:CSDN官方博客 返回首页
评论

打赏作者

用户昵称不能为空

你的鼓励将是我创作的最大动力

¥2 ¥4 ¥6 ¥10 ¥20
输入1-500的整数
余额支付 (余额:-- )
扫码支付
扫码支付:¥2
获取中
扫码支付

您的余额不足,请更换扫码支付或充值

打赏作者

实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值